<div class="d-flex">
  <div class="flex-fill">
    {{#if this.renderList}}
      <PowerSelect @searchEnabled={{true}} @search={{this.searchTask}} @selected={{this.value}} @onChange={{this.handleChange}} as |icon|>

        <img class="icon-preview" src={{icon.image.value}} alt={{icon.localName}} />
        {{icon.localName}}

      </PowerSelect>
    {{/if}}
  </div>

  {{#if this.value}}
    <button class="btn btn-outline-danger btn-remove-parent" {{on "click" this.removeIcon}} type="button">
      <FaIcon @icon="trash" />
    </button>
  {{/if}}
</div>